Package org.linphone.core

# Interface XmlRpcSession

public interface XmlRpcSession
The `XmlRpcSession` object used to send XML-RPC requests and handle their
responses.

## Method Summary

Modifier and Type
Method
Description
`XmlRpcRequest`
`createRequest(XmlRpcArgType returnType, String method)`
Creates a `XmlRpcRequest` from a `XmlRpcSession`.
`long`
`getNativePointer()`
Gets the native pointer used by this class to make native method calls.
`Object`
`getUserData()`
Gets the object stored in this object user's data
`void`
`release()`
Stop and unref an XML rpc session.
`void`
`sendRequest(XmlRpcRequest request)`
Send an XML-RPC request.
`void`
`setUserData(Object data)`
Sets the object to store in this object user's data
`String`
`toString()`

## Method Details

### createRequest

@NonNull XmlRpcRequest createRequest(XmlRpcArgType returnType, @NonNull String method)
Creates a `XmlRpcRequest` from a `XmlRpcSession`.

Parameters:
  `returnType` - the return type of the request as a `XmlRpcArgType`
  `method` - the function name to call
Returns:
  a `XmlRpcRequest` object

### release

void release()
Stop and unref an XML rpc session.
Pending requests will be aborted.

### sendRequest

void sendRequest(@NonNull XmlRpcRequest request)
Send an XML-RPC request.

Parameters:
  `request` - The `XmlRpcRequest` to be sent.

### setUserData

void setUserData(Object data)
Sets the object to store in this object user's data

Parameters:
  `data` - the object to store

### getUserData

Object getUserData()
Gets the object stored in this object user's data

Returns:
  the object store if any, null otherwise

### getNativePointer

long getNativePointer()
Gets the native pointer used by this class to make native method calls.

Returns:
  the nativer pointer, as long

### toString

String toString()

Overrides:
  `toString` in class `Object`